SPI_W8R8(9)

NAME
spi_w8r8 - SPI synchronous 8 bit write followed by 8 bit read

SYNOPSIS

ssize_t spi_w8r8(struct spi_device * spi, u8 cmd);

ARGUMENTS

spi
    device with which data will be exchanged

cmd
    command to be written before data is read back

CONTEXT

can sleep

DESCRIPTION

This returns the (unsigned) eight bit number returned by the device, or else a negative error code. Callable only from contexts that can sleep.

COPYRIGHT